/**
 * @license
 * SPDX-License-Identifier: Apache-2.0
 */
/**
 * @fileoverview Exports methods for serializing CSS tokens.
 */
import { CssToken } from './tokens.js';
/**
 * Escapes a CSS identifier.
 *
 * @param ident The identifier to escape.
 * @return The escaped identifier.
 */
export declare function escapeIdent(ident: string): string;
/**
 * Serializes a CSS token to a string.
 *
 * @param token The token to serialize.
 * @return The serialized token.
 */
export declare function serializeToken(token: CssToken): string;
/**
 * Serializes a list of CSS tokens to a string.
 *
 * @param tokens The tokens to serialize.
 * @return The serialized tokens.
 */
export declare function serializeTokens(tokens: CssToken[]): string;
